'use client';

import { useState } from 'react';
import Confirm from './Confirm';
import FirstStep from './FirstStep';

const Register = () => {
  const [step, setStep] = useState<number>(1);

  const nextStep = () => {
    if (step === 1) {
      setStep(2);
    }
  };

  return (
    <>
      {step === 1 && <FirstStep onNext={nextStep} />}
      {step === 2 && <Confirm setStep={setStep} />}
    </>
  );
};

export default Register;
